package macampcorp.macamp.exceptions;

import macampcorp.macamp.game.Resource;

public class BadResourceTypeException  extends RuntimeException{
    public BadResourceTypeException(Resource r, String type){
        super("Ressource '"+r.getName()+"' de type '"+r.getType()+"' était attendue avec un type: '"+type+"'");
    }

    public BadResourceTypeException(Resource r, String type, Throwable throwable) {
        super("Ressource '"+r.getName()+"' de type '"+r.getType()+"' était attendue avec un type: '"+type+"'", throwable);
    }
}
